View Issue Details

IDProjectCategoryView StatusLast Update
0003829libextractorlibextractor main librarypublic2017-10-12 14:11
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityunable to reproduce
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versioncurrent SVN 
Target Version1.4Fixed in Version1.4 
Summary0003829: further drop privs on fork if apparmor is available
DescriptionWe should use AA profiles to reduce LE privs, and when the main lib forks should (try to) switch to a profile where even local disk IO is not permitted (only the IPC).

http://manpages.ubuntu.com/manpages/precise/man2/aa_change_profile.2.html
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-06-08 10:32 Christian Grothoff New Issue
2015-06-08 10:33 Christian Grothoff Status new => confirmed
2015-09-09 19:41 Christian Grothoff Assigned To => Christian Grothoff
2015-09-09 19:41 Christian Grothoff Status confirmed => resolved
2015-09-09 19:41 Christian Grothoff Resolution open => fixed
2015-09-09 19:41 Christian Grothoff Fixed in Version => 1.4
2017-10-12 14:11 Christian Grothoff Status resolved => closed